/* Styling for general page background */
body {
    background-color: #777777;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif; /* Ensure consistent font */
}

/* Styling for form container size, shape and background */
.container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh; /* Changed height to min-height */
    padding: 20px; /* Added padding to give space around the form */
    box-sizing: border-box; /* Include padding in the total height */
}

/* Styling for form ionput fields */
form {
    width: 350px;
    background-color: #cccccc;
    padding: 20px; /* Adjusted padding for inner spacing */
    border-radius: 8px;
    box-shadow: 0 0 30px 1px rgba(0, 0, 0, 0.5);
}

.input-group {
    margin-bottom: 20px; /* Increased space between input fields */
    position: relative; /* Positioning for labels */
}

/* Styling for input form LABELS located above the input fields */
label {
    position: absolute;
    top: -15px; /* Adjusted position to be above the input fields */
    left: 0; /* Align the labels with the left edge of the input fields */
}

input[type="text"],
input[type="password"] {
    width: calc(100% - 20px); /* Adjusted width to accommodate labels */
    padding: 5px;
    margin-top: 5px;
    border: 1px solid #777777; /* Add a light grey border */
    border-radius: 5px;
    box-sizing: border-box;
    background-color: #d3d3d3; /* Add a light grey background color */
}

/* Styling for form input fields 'again' */
input[type="submit"] {
    width: calc(100% - 20px); /* Match the width of the input fields */
    padding: 5px;
    margin-top: 10px; /* Add some space between the input fields and the button */
    border: none; /* Remove border */
    border-radius: 5px;
    box-sizing: border-box;
    background-color: #333; /* Dark grey background color */
    color: #fff; /* Text color */
    cursor: pointer;
}

/* Styling for form 'Submit' button */
input[type="submit"]:hover {
    background-color: #555;
}
